## org.omg.GIOP
Class CancelRequestHeader

    java.lang.Object
      |
      +--org.omg.GIOP.CancelRequestHeader

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class CancelRequestHeader
extends java.lang.Object
implements IDLEntity

Struct definition : CancelRequestHeader

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`int` `request_id` Struct member request_id

Constructor Summary
`CancelRequestHeader()` Default constructor
`CancelRequestHeader(int request_id)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request_id

    public int request_id

  Struct member request_id

Constructor Detail

### CancelRequestHeader

    public CancelRequestHeader()

  Default constructor

### CancelRequestHeader

    public CancelRequestHeader(int request_id)

  Constructor with fields initialization
  Parameters:
    `request_id` - request_id struct member